ranges::protect_fn Struct Reference
Functional

## Public Member Functions

template<typename F >
auto | operator() (F &&f) const -> protector< uncvref_t< F >> requires std::is_bind_expression< uncvref_t< F >>::value
template<typename F >
auto | operator() (F &&f) const -> F requires(!std::is_bind_expression< uncvref_t< F >>::value)

## Member Function Documentation

## operator()()

template<typename F >

auto ranges::protect_fn::operator() | ( | F && | f | ) | const -> F requires(!std::is_bind_expression<uncvref_t<F>>::value)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.